---
title: Get single SSO connector
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[IAM](https://developers.cloudflare.com/api/typescript/resources/iam)

[SSO](https://developers.cloudflare.com/api/typescript/resources/iam/subresources/sso)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get single SSO connector

client.iam.sso.get(stringssoConnectorID, SSOGetParams {account\_id } params, RequestOptionsoptions?): [SSOGetResponse](<https://developers.cloudflare.com/api/typescript/resources/iam#(resource)%20iam.sso%20%3E%20(model)%20sso_get_response%20%3E%20(schema)>) {id, created\_on, email\_domain, 4 more }

GET/accounts/{account\_id}/sso\_connectors/{sso\_connector\_id}

Retrieves details for a specific SSO connector.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`SSO Connector Read`

##### ParametersExpand Collapse

ssoConnectorID: string

SSO Connector identifier tag.

maxLength32

minLength32

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20sso_connector_id%20%3E%20(schema)>)

<details>

<summary>

params: SSOGetParams {account\_id }

</summary>

account\_id: string

Account identifier tag.

maxLength32

minLength32

<a href="#(resource)%20iam.sso%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

SSOGetResponse {id, created\_on, email\_domain, 4 more }

</summary>

id?: string

SSO Connector identifier tag.

maxLength32

minLength32

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_get_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

created\_on?: string

Timestamp for the creation of the SSO connector

formatdate-time

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_get_response%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

email\_domain?: string

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_get_response%20%3E%20(schema)%20%3E%20(property)%20email_domain">Link to this property</a>

enabled?: boolean

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_get_response%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

updated\_on?: string

Timestamp for the last update of the SSO connector

formatdate-time

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_get_response%20%3E%20(schema)%20%3E%20(property)%20updated_on">Link to this property</a>

use\_fedramp\_language?: boolean

Controls the display of FedRAMP language to the user during SSO login

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_get_response%20%3E%20(schema)%20%3E%20(property)%20use_fedramp_language">Link to this property</a>

<details>

<summary>

verification?: Verification {code, status }

</summary>

code?: string

DNS verification code. Add this entire string to the DNS TXT record of the email domain to validate ownership.

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_get_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20code">Link to this property</a>

<details>

<summary>

status?: "awaiting"| "pending"| "failed"| "verified"

The status of the verification code from the verification process.

</summary>

One of the following:

"awaiting"

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_get_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

"pending"

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_get_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

"failed"

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_get_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

"verified"

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_get_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_get_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_get_response%20%3E%20(schema)%20%3E%20(property)%20verification">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.sso%20%3E%20(model)%20sso_get_response%20%3E%20(schema)>)

### Get single SSO connector

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const sso = await client.iam.sso.get('023e105f4ecef8ad9ca31a8372d0c353', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(sso.id);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2025-01-01T12:21:02Z",
    "email_domain": "example.com",
    "enabled": false,
    "updated_on": "2025-01-01T12:21:02Z",
    "use_fedramp_language": false,
    "verification": {
      "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
      "status": "pending"
    }
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2025-01-01T12:21:02Z",
    "email_domain": "example.com",
    "enabled": false,
    "updated_on": "2025-01-01T12:21:02Z",
    "use_fedramp_language": false,
    "verification": {
      "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
      "status": "pending"
    }
  }
}
```